## Method com.sap.dbtech.powertoys.DBM.dbDBM

### Use

To execute DBM commands in a Java application, you first connect the Java application to a database instance using the Database Manager. To do this, you use the com.sap.dbtech.powertoys.DBM.dbDBM method.

To create a new database instance, connect to the database instance using the com.sap.dbtech.powertoys.DBM.dbrootDBM method.

### Features

public static DBM dbDBM (String database_computer, String database_name)

throws

com.sap.dbtech.rte.comm.RTEException

Parameters

Name | Description
database_computer | Name of the database computer To connect to a database instance on the local computer, enter the value null.
database_name | Database name

Exceptions

Class | Description
com.sap.dbtech.rte.comm.RTEException | See Troubleshooting (Database Manager)

See also:

Database Manager Java Classes